public static interface DirectVmEndpointBuilderFactory.DirectVmBuilders
| Modifier and Type | Method and Description |
|---|---|
default DirectVmEndpointBuilderFactory.DirectVmEndpointBuilder |
directVm(String path)
Direct VM (camel-directvm)
Call another endpoint from any Camel Context in the same JVM
synchronously.
|
default DirectVmEndpointBuilderFactory.DirectVmEndpointBuilder |
directVm(String componentName,
String path)
Direct VM (camel-directvm)
Call another endpoint from any Camel Context in the same JVM
synchronously.
|
default DirectVmEndpointBuilderFactory.DirectVmEndpointBuilder directVm(String path)
direct-vm:name
Path parameter: name (required)
Name of direct-vm endpointpath - namedefault DirectVmEndpointBuilderFactory.DirectVmEndpointBuilder directVm(String componentName, String path)
direct-vm:name
Path parameter: name (required)
Name of direct-vm endpointcomponentName - to use a custom component name for the endpoint
instead of the default namepath - nameApache Camel